Naar hoofdinhoud gaan
POST
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
authorizations
accountautorisatie toekennen
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/authorizations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subject_id": "<string>",
  "capability_key": "<string>",
  "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "grant_kind": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subject_id": "<string>",
  "subject_type": "<string>",
  "capability_key": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "resource_type": "<string>",
  "revoked_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Autorisaties

Authorization
string
header
vereist

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Padparameters

account_id
string<uuid>
vereist

Body

application/json

Schema voor granting een new capability-based authorization.

grant_kind
enum<string>
vereist

toekenning kind

Beschikbare opties:
capability,
account_owner,
super_admin
subject_id
string
vereist

Gebruikers- of groeps-ID

Minimum string length: 1
subject_type
enum<string>
vereist

Onderwerptype: gebruiker of groep

Beschikbare opties:
user,
group,
service_account
capability_key
string | null

mogelijkheid key for capability grants

resource_id
string<uuid> | null

Scoped resource-ID

resource_type
enum<string> | null

Bereikt resourcetype

Beschikbare opties:
client,
account,
workspace,
domain,
dns_record,
mailbox,
redirect,
forwarding,
credential,
tenant,
route,
proxy

Respons

grant_kind
string
vereist
id
string<uuid>
vereist
subject_id
string
vereist
subject_type
string
vereist
capability_key
string | null
created_at
string<date-time> | null
resource_id
string<uuid> | null
resource_type
string | null
revoked_at
string<date-time> | null